### Method

# Snapd Client ask_interface_request_sync

since: 1.72

#### Declaration [src]

    gboolean
    snapd_client_ask_interface_request_sync (
      SnapdClient* client,
      const gchar* interface,
      GPid pid,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Synchronously ask snapd whether a snap should be granted access to a given interface.

Available since: 1.72

#### Parameters

`interface`

  Type: `const gchar*`

  The interface name being requested.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`pid`

  Type: `GPid`

  The PID of the process making the request.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the snap should be granted access, `FALSE` otherwise.